summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commitbe3a5b00d3c78a5a8a67c16a27ef3d90afa96fe3 (patch)
tree846ee609811b185bc89757ddbc0fa252ef949599
downloadaur-be3a5b00d3c78a5a8a67c16a27ef3d90afa96fe3.tar.gz
Initial PKGBUILD status as of 28.11.2014
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD22
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d0a75c050b9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = valknut
+ pkgdesc = A direct connect client for Linux (like dc++), with segmented downloading.
+ pkgver = 0.4.9
+ pkgrel = 1
+ url = http://sourceforge.net/projects/wxdcgui/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = qt
+ depends = dclib>=0.3.23
+ replaces = dcgui-qt
+ source = http://downloads.sourceforge.net/sourceforge/wxdcgui/valknut-0.4.9.tar.bz2
+ md5sums = c25d68c447cb9deb4262befdde9fccea
+
+pkgname = valknut
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e51c7df8812
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
+
+pkgname=valknut
+pkgver=0.4.9
+pkgrel=1
+pkgdesc="A direct connect client for Linux (like dc++), with segmented downloading."
+license=('GPL')
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/wxdcgui/"
+depends=('qt' 'dclib>=0.3.23')
+replaces=('dcgui-qt')
+source=(http://downloads.sourceforge.net/sourceforge/wxdcgui/$pkgname-$pkgver.tar.bz2)
+
+md5sums=('c25d68c447cb9deb4262befdde9fccea')
+
+build() {
+ cd "${srcdir}/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make || return 1
+ make prefix="${pkgdir}/usr" install
+}